Please turn off CONFIG_RT_GROUP_SCHED in all our kernels

Bug #1284731 reported by Stéphane Graber on 2014-02-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
linux-flo (Ubuntu)
Critical
Andy Whitcroft
linux-goldfish (Ubuntu)
High
Andy Whitcroft
linux-grouper (Ubuntu)
Critical
Andy Whitcroft
linux-maguro (Ubuntu)
Critical
Andy Whitcroft
linux-mako (Ubuntu)
Critical
Andy Whitcroft
linux-manta (Ubuntu)
Critical
Andy Whitcroft

Bug Description

Hello,

We've just had a rather length chat in #ubuntu-touch about some problems related to rtkit and pulseaudio on the phone and then on any trusty machine.

It turns out that since we now put all users in their own cpu cgroup, rt_runtime_us is set to 0 which prevents any of those tasks from ever getting real-time priority. There are various ways we could try to hack around that in logind, basically manually inheriting a sane value, etc...

However it turns out that we never use those cgroup bits and that they are concerned as some kind of security problems when users have access to those. So given that, it seems like the best course of action is just to turn off CONFIG_RT_GROUP_SCHED in all our kernels. This will revert us to a pre-trusty behaviour where users can't set the rt priority but rtkit (a privileged daemon) can, so pulseaudio and the rest of those software should be happy again.

Andy Whitcroft (apw) on 2014-02-25
Changed in linux (Ubuntu):
status: New → In Progress
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → Critical
Andy Whitcroft (apw) on 2014-02-25
Changed in linux-flo (Ubuntu):
importance: Undecided → Critical
Changed in linux-goldfish (Ubuntu):
importance: Undecided → Critical
Changed in linux-grouper (Ubuntu):
importance: Undecided → Critical
Changed in linux-maguro (Ubuntu):
importance: Undecided → Critical
Changed in linux-mako (Ubuntu):
importance: Undecided → Critical
Changed in linux-manta (Ubuntu):
importance: Undecided → Critical
Changed in linux-goldfish (Ubuntu):
importance: Critical → High
Changed in linux (Ubuntu):
importance: Critical → High
Andy Whitcroft (apw) on 2014-02-25
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in linux-mako (Ubuntu):
status: New → In Progress
Changed in linux-maguro (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2014-02-25
Changed in linux-mako (Ubuntu):
status: In Progress → Fix Committed
Changed in linux-flo (Ubuntu):
status: New → Fix Committed
Andy Whitcroft (apw) on 2014-02-26
Changed in linux-mako (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Changed in linux-maguro (Ubuntu):
assignee: Andy Whitcroft (apw) → nobody
Changed in linux-flo (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2014-02-26
Changed in linux-manta (Ubuntu):
status: New → Fix Committed
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2014-02-26
Changed in linux-goldfish (Ubuntu):
status: New → Fix Committed
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2014-02-26
Changed in linux-grouper (Ubuntu):
status: New → Fix Committed
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

Maguro is dead, no 4.4 base ... closing out.

Changed in linux-maguro (Ubuntu):
status: New → Won't Fix
assignee: nobody → Andy Whitcroft (apw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-13.33

---------------
linux (3.13.0-13.33) trusty; urgency=low

  [ Andy Whitcroft ]

  * Release Tracking Bug
    - LP: #1284614
  * [Config] powerpc -- CONFIG_SCSI_IBMVSCSI=y
  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731

  [ Stefan Bader ]

  * [Config] Revert back to build IPMI as a module on all arches

  [ Tim Gardner ]

  * rebase to v3.13.5

  [ Upstream Kernel Changes ]

  * cifs: ensure that uncached writes handle unmapped areas correctly
  * rebase to v3.13.5
 -- Andy Whitcroft <email address hidden> Tue, 25 Feb 2014 12:15:09 +0000

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-goldfish - 3.4.0-3.14

---------------
linux-goldfish (3.4.0-3.14) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
  * [Config] enforcer file cannot be zero length
 -- Andy Whitcroft <email address hidden> Wed, 26 Feb 2014 11:56:56 +0000

Changed in linux-goldfish (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-grouper - 3.1.10-8.28

---------------
linux-grouper (3.1.10-8.28) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
 -- Andy Whitcroft <email address hidden> Wed, 26 Feb 2014 12:43:34 +0000

Changed in linux-grouper (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-manta - 3.4.0-6.24

---------------
linux-manta (3.4.0-6.24) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
  * [Config] enforcer file cannot be zero length
 -- Andy Whitcroft <email address hidden> Wed, 26 Feb 2014 10:58:59 +0000

Changed in linux-manta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-mako - 3.4.0-5.26

---------------
linux-mako (3.4.0-5.26) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
 -- Andy Whitcroft <email address hidden> Tue, 25 Feb 2014 18:38:28 +0000

Changed in linux-mako (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-flo - 3.4.0-2.8

---------------
linux-flo (3.4.0-2.8) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_TMPFS_POSIX_ACL=y
    - LP: #1286184
  * enforcer file should not be empty

linux-flo (3.4.0-2.7) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
 -- Andy Whitcroft <email address hidden> Fri, 28 Feb 2014 15:54:39 +0000

Changed in linux-flo (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers